buildChromLocation {annotate} | R Documentation

## A function to generate an instantiation of a chromLocation class

### Description

This function will take the name of a data package and build a chromLocation object representing that data set.

### Usage

      buildChromLocation(dataPkg)

### Arguments

`dataPkg` | The name of the data package to be used

### Details

The requested data set must be available in the user's `.libPaths()`, and the function will throw an error if this is not the case.

If the data package is present, the necessary information will be extracted from the data package and a `chromLocation` object will be created.

### Value

A `chromLocation` object representing the specified data set.

### Author(s)

Jeff Gentry

### Examples

       ## A bit of a hack to not have a package dependency on hgu95av2
       ## but need to fiddle w/ the warn level to not fail the example anyways.
       curWarn <- getOption("warn")
       options(warn=0)
       on.exit(options(warn=curWarn), add=TRUE)
       if (require(hgu95av2)) {
         z <- buildChromLocation("hgu95av2")
       } else print("This example requires the hgu95av2 data package")

[Package Contents]